local ldb = LibStub:GetLibrary("LibDataBroker-1.1")


local dmg = ldb:NewDataObject("Critline damage", {
	type = "data source",
	icon = CRITLINE_DMG_ICON,
	OnClick = function(_, msg)
		-- if msg == "LeftButton" then
			InterfaceOptionsFrame_OpenToCategory(CritlineSettingsBasic)
		-- end
	end,
	OnTooltipShow = function(self)
		Critline_AddTooltipText(Critline_GetSummaryRichText("DMG"))
	end
})

Critline_OnUpdateRegister(function() dmg.text = NORMAL_FONT_COLOR_CODE.."D: "..FONT_COLOR_CODE_CLOSE..Critline_GetHighest("DMG", "NORM").."/"..Critline_GetHighest("DMG", "CRIT") end)


local heal = ldb:NewDataObject("Critline healing", {
	type = "data source",
	icon = CRITLINE_HEAL_ICON,
	OnClick = function(_, msg)
		-- if msg == "LeftButton" then
			InterfaceOptionsFrame_OpenToCategory(CritlineSettingsBasic)
		-- end
	end,
	OnTooltipShow = function(self)
		Critline_AddTooltipText(Critline_GetSummaryRichText("HEAL"))
	end
})

Critline_OnUpdateRegister(function() heal.text = NORMAL_FONT_COLOR_CODE.."H: "..FONT_COLOR_CODE_CLOSE..Critline_GetHighest("HEAL", "NORM").."/"..Critline_GetHighest("HEAL", "CRIT") end)


local pet = ldb:NewDataObject("Critline pet", {
	type = "data source",
	icon = CRITLINE_PET_ICON,
	OnClick = function(_, msg)
		-- if msg == "LeftButton" then
			InterfaceOptionsFrame_OpenToCategory(CritlineSettingsBasic)
		-- end
	end,
	OnTooltipShow = function(self)
		Critline_AddTooltipText(Critline_GetSummaryRichText("PET"))
	end
})

Critline_OnUpdateRegister(function() pet.text = NORMAL_FONT_COLOR_CODE.."P: "..FONT_COLOR_CODE_CLOSE..Critline_GetHighest("PET", "NORM").."/"..Critline_GetHighest("PET", "CRIT") end)